#ifndef POLETRACKINGDIALOG_H
#define POLETRACKINGDIALOG_H

#include <QDialog>

namespace Ui {
class PoleTrackingDialog;
}

class PoleTrackingDialog : public QDialog
{
    Q_OBJECT

public:
    explicit PoleTrackingDialog(QWidget *parent = 0);
    ~PoleTrackingDialog();

private slots:
    void uiReset();

    void on_pushButton_tracking_minus_clicked();

    void on_pushButton_tracking_add_clicked();

    void on_pushButton_reset_clicked();

    void on_dial_tracking_valueChanged(int value);

signals:
    void trackPole(double degree);

private:
    Ui::PoleTrackingDialog *ui;
};

#endif // POLETRACKINGDIALOG_H
